package com.yeejoin.amos.boot.module.ugp.api.Enum;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.HashMap;
import java.util.Map;

@Getter
@AllArgsConstructor
public enum ProblemTypeEnum {
    一般问题("一般问题","1"),
    重大问题("重大问题","2"),
    存在问题("存在问题","1"),
    不存在问题("不存在问题","0");
    private String name;
    private String code;

    public static Map<String,String> map = new HashMap<>();

    static {
        for (ProblemTypeEnum problemTypeEnum : ProblemTypeEnum.values()) {
            map.put(problemTypeEnum.getCode(),problemTypeEnum.getName());
        }
    }
}
